﻿namespace Sharing.DaoShu110
{
    /// <summary>
    /// A unified format for processing data returns
    /// </summary>
    /// <typeparam name="TResult"></typeparam>
    public class ApiResultR<TResult> : ApiResultR, IApiResultR<TResult>
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ApiResultR{TResult}"/> class.
        /// </summary>
        public ApiResultR() { }

        /// <summary>
        /// Initializes a new instance of the <see cref="ApiResultR{TResult}" /> class.
        /// </summary>
        /// <param name="result">The result.</param>
        /// <param name="statusCode">The status code.</param>
        public ApiResultR(TResult result, int? statusCode, string message = "")
        {
            rcode = statusCode ?? 0;
            rdata = result;
            rmsg = string.IsNullOrEmpty(message) ? "调用成功" : message;
        }

        /// <summary>
        /// Gets or sets the result.
        /// </summary>
        /// <value>The result.</value>
        public TResult rdata { get; set; }
    }
}