﻿using Microsoft.AspNetCore.Http;
using System.Text;

namespace Sharing.DaoShu110.Extensions
{
    public static class CComm
    {
        #region 验证DCSM是否正确

        /// <summary>
        /// 验证DCSM是否正确
        /// </summary>
        /// <param name="headrs"></param>
        /// <param name="dcsmIn"></param>
        /// <returns></returns>
        public static string checkDcsm(string headrs, string dcsmIn)
        {
            string result = "";
            string dcsm = "";
            try
            {
                dcsm = headrs.ToString();
                if (dcsm != dcsmIn)
                {
                    result = "【dcsm】错误";
                }
            }
            catch (System.Exception)
            {
                result = "【dcsm】不能为空";
            }
            return result;
        }

        #endregion

        #region 获取RAW传入的Base64_Json

        /// <summary>
        /// 获取RAW传入的Base64_Json
        /// </summary>
        /// <returns></returns>
        public static async Task<string> getStreamBase64(HttpRequest request)
        {
            string base64String = "";
            try
            {
                request.EnableBuffering();
                request.Body.Position = 0;
                using (var stream = new StreamReader(request.Body, Encoding.UTF8))
                {
                    base64String = await stream.ReadToEndAsync();
                }
            }
            catch (Exception)
            {
            }
            return base64String;
        }

        #endregion

        #region 验证日期
        public static bool IsDate(string strDate)
        {
            try
            {
                if (strDate.Contains('.') == true || strDate.Contains(',') == true)
                {
                    return false;
                }
                DateTime.Parse(strDate);  //不是字符串时会出现异常
                return true;
            }
            catch
            {
                return false;
            }
        }

        #endregion
    }
}
