﻿using Sharing.Enterprise.Dtos;
using Sharing.Enterprise.Dtos.Receive;
using Sharing.Enterprise.Dtos.Send;

namespace Sharing.Enterprise
{
    /// <summary>
    ///  默认策略（保持原数据策略）
    /// </summary>
    public class DefaultPusher : IEnterprisePusherProvider
    {
        private readonly EnterpriseClient _enterpriseClient;

        public DefaultPusher(EnterpriseClient enterpriseClient)
        {
            _enterpriseClient = enterpriseClient;
        }

        /// <summary>
        /// 企业查询
        /// </summary>
        /// <param name="request"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        public async Task<EnterpriseResponse> SelectEnterpriseListAsync(SelectEnterpriseListRequest request, CancellationToken cancellationToken)
        {
            return await _enterpriseClient.RequestAsync<SelectEnterpriseListRequest, EnterpriseResponse>(request, cancellationToken);
        }

        /// <summary>
        /// 数据推送
        /// </summary>
        /// <param name="request"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        public async Task<EnterpriseResponse> PushWorkOrderSendAsync(PushWorkOrderRequest request, CancellationToken cancellationToken)
        {
            return await _enterpriseClient.RequestAsync<PushWorkOrderRequest, EnterpriseResponse>(request, cancellationToken);
        }

        /// <summary>
        /// 数据撤单
        /// </summary>
        /// <param name="request"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        public async Task<EnterpriseResponse> PushWorkOrderCancelAsync(CancelWorkOrderRequest request, CancellationToken cancellationToken)
        {
            return await _enterpriseClient.RequestAsync<CancelWorkOrderRequest, EnterpriseResponse>(request, cancellationToken);
        }

    }
}


