﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.DataExchange
{
    /// <summary>
    /// 市州数据交换
    /// </summary>
    [Description("市州数据交换-发送")]
    public class CityDataSend : CreationModificationEntity
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        [SugarColumn(ColumnDescription = "工单编号", ColumnDataType = "varchar(50)")]
        public string FSHCode { get; set; }

        /// <summary>
        /// 0：市民、1：企业
        /// </summary>
        [SugarColumn(ColumnDescription = " 0：市民、1：企业", ColumnDataType = "varchar(2)")]
        public string ServerName { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        [SugarColumn(ColumnDescription = "受理类型", ColumnDataType = "varchar(10)")]
        public string PurTypeName { get; set; }

        /// <summary>
        /// 热点
        /// </summary>
        [SugarColumn(ColumnDescription = "热点", ColumnDataType = "varchar(200)")]
        public string ConTypeName { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [SugarColumn(ColumnDescription = "标题", ColumnDataType = "varchar(100)")]
        public string Title { get; set; }

        /// <summary>
        /// 来电人名称
        /// </summary>
        [SugarColumn(ColumnDescription = "来电人名称", ColumnDataType = "varchar(20)")]
        public string LinkName { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        [SugarColumn(ColumnDescription = "性别", ColumnDataType = "varchar(2)")]
        public string Gender { get; set; }

        /// <summary>
        /// 联系电话
        /// </summary>
        [SugarColumn(ColumnDescription = "联系电话", ColumnDataType = "varchar(20)")]
        public string Mobile { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        [SugarColumn(ColumnDescription = "邮箱", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string Mail { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        [SugarColumn(ColumnDescription = "地址", ColumnDataType = "varchar(100)")]
        public string Address { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [SugarColumn(ColumnDescription = "内容", ColumnDataType = "text")]
        public string Content { get; set; }

        /// <summary>
        /// 来源
        /// </summary>
        [SugarColumn(ColumnDescription = "来源", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string Source { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "0";

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }
    }
}
